Page MenuHomePhabricator

Update or stop bundling ext.cite.style in the Android app
Closed, ResolvedPublic1 Story Points

Description

Parsoid now wraps references in <sup> rather than <span>, its old behavior. (T45094) (patch). Unfortunately, this has had the effect of hiding inline references.

The Android app should either update or stop bundling the ext.cite.style module to accommodate this change. (By way of background, it was only added in order to obtain superscript reference links when loading Parsoid HTML, and no longer appears to be necessary for that purpose after this change.)

Details

Related Gerrit Patches:
apps/android/wikipedia : masterUpdate bundled CSS (inc. Cite update)
apps/android/wikipedia : masterStop bundling ext.cite.style

Event Timeline

Mholloway created this task.Jan 8 2018, 8:55 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 8 2018, 8:55 PM
Mholloway updated the task description. (Show Details)Jan 8 2018, 8:56 PM
Mholloway updated the task description. (Show Details)Jan 8 2018, 11:14 PM
Mholloway renamed this task from Stop bundling ext.cite.style in the Android app when Parsoid HTML wraps refs in <sup> to Stop bundling ext.cite.style in the Android app when Parsoid HTML wraps refs in <sup>?.Jan 8 2018, 11:24 PM
Charlotte triaged this task as Medium priority.Jan 9 2018, 5:36 PM
Charlotte set the point value for this task to 1.
Dbrant raised the priority of this task from Medium to High.Jan 20 2018, 5:07 PM
Dbrant added a subscriber: Dbrant.

This should be done very soon. We're starting to receive reports that references are no longer visible/accessible in the app.

bearND added a subscriber: bearND.Jan 20 2018, 6:33 PM
Mholloway added a comment.EditedJan 20 2018, 6:50 PM

There was a recent Cite fix (https://gerrit.wikimedia.org/r/#/c/401501/) deployed that fixes this, so you can keep or drop Cite, fwiw. I'm guessing that in-app CSS hasn't been updated since then, though (and certainly there hasn't been a release with it). Either way, though, it looks like a hotfix release with updated CSS is in order. I'll push patches for both options. Both patches fix this. Sorry, I knew this change was coming, so I'm responsible.

Change 405537 had a related patch set uploaded (by Mholloway; owner: Mholloway):
[apps/android/wikipedia@master] Fix: Update bundled CSS with Cite fix

https://gerrit.wikimedia.org/r/405537

Change 405538 had a related patch set uploaded (by Mholloway; owner: Mholloway):
[apps/android/wikipedia@master] Stop bundling ext.cite.style

https://gerrit.wikimedia.org/r/405538

@Dbrant On a side note, I kind of want to change debug back to true in the script to get pretty-printing back, too. That change was probably a mistake. LMK and I'll update one or both patches (or feel free to just do it before merging one or the other).

Mholloway updated the task description. (Show Details)Jan 20 2018, 7:29 PM
Mholloway added a comment.EditedJan 20 2018, 7:35 PM

Updated the description to reflect that (a) the change is made, and (b) a fix based on adjusting content format versions doesn't appear possible. MCS started requesting https://www.mediawiki.org/wiki/Specs/HTML/1.6.0 from Parsoid over a month ago, and there was no further version bump associated with the <span>-><sup> change (in retrospect, IMO, there probably should have been, or at least we should have asked for one). Had there been, we could have bumped our own content format version concurrently with requesting the updated Parsoid HTML version, which would have allowed the Android app and other clients to update gracefully. That's now no longer possible.

Maybe we can get a Parsoid HTML minor version bump for T181408 and changes of similar scope going forward to avoid running into similar issues.

Mholloway renamed this task from Stop bundling ext.cite.style in the Android app when Parsoid HTML wraps refs in <sup>? to Update or stop bundling ext.cite.style in the Android app.Jan 20 2018, 7:35 PM
Mholloway claimed this task.

Change 405537 abandoned by Dbrant:
Fix: Update bundled CSS with Cite fix

https://gerrit.wikimedia.org/r/405537

Change 405538 merged by jenkins-bot:
[apps/android/wikipedia@master] Stop bundling ext.cite.style

https://gerrit.wikimedia.org/r/405538

Dbrant closed this task as Resolved.Feb 1 2018, 6:31 PM

Change 405537 restored by Mholloway:
Fix: Update bundled CSS with Cite fix

https://gerrit.wikimedia.org/r/405537

Change 405537 merged by jenkins-bot:
[apps/android/wikipedia@master] Update bundled CSS (inc. Cite update)

https://gerrit.wikimedia.org/r/405537

238482n375 removed Mholloway as the assignee of this task.Jun 15 2018, 8:02 AM
238482n375 lowered the priority of this task from High to Lowest.
238482n375 moved this task from Next Up to In Code Review on the Analytics-Kanban board.
238482n375 edited subscribers, added: 238482n375; removed: Aklapper.

SG9tZVBoYWJyaWNhdG9yCk5vIG1lc3NhZ2VzLiBObyBub3RpZmljYXRpb25zLgoKICAgIFNlYXJjaAoKQ3JlYXRlIFRhc2sKTWFuaXBoZXN0ClQxOTcyODEKRml4IGZhaWxpbmcgd2VicmVxdWVzdCBob3VycyAodXBsb2FkIGFuZCB0ZXh0IDIwMTgtMDYtMTQtMTEpCk9wZW4sIE5lZWRzIFRyaWFnZVB1YmxpYwoKICAgIEVkaXQgVGFzawogICAgRWRpdCBSZWxhdGVkIFRhc2tzLi4uCiAgICBFZGl0IFJlbGF0ZWQgT2JqZWN0cy4uLgogICAgUHJvdGVjdCBhcyBzZWN1cml0eSBpc3N1ZQoKICAgIE11dGUgTm90aWZpY2F0aW9ucwogICAgQXdhcmQgVG9rZW4KICAgIEZsYWcgRm9yIExhdGVyCgpUYWdzCgogICAgQW5hbHl0aWNzLUthbmJhbiAoSW4gUHJvZ3Jlc3MpCgpTdWJzY3JpYmVycwpBa2xhcHBlciwgSkFsbGVtYW5kb3UKQXNzaWduZWQgVG8KSkFsbGVtYW5kb3UKQXV0aG9yZWQgQnkKSkFsbGVtYW5kb3UsIEZyaSwgSnVuIDE1CkRlc2NyaXB0aW9uCgpPb3ppZSBqb2JzIGhhdmUgYmVlbiBmYWlsaW5nIGF0IGxlYXN0IGEgZmV3IHRpbWVzIGVhY2guIE1vcmUgaW52ZXN0aWdhdGlvbiBuZWVkZWQuCkpBbGxlbWFuZG91IGNyZWF0ZWQgdGhpcyB0YXNrLkZyaSwgSnVuIDE1LCA3OjIxIEFNCkhlcmFsZCBhZGRlZCBhIHN1YnNjcmliZXI6IEFrbGFwcGVyLiC3IFZpZXcgSGVyYWxkIFRyYW5zY3JpcHRGcmksIEp1biAxNSwgNzoyMSBBTQpKQWxsZW1hbmRvdSBjbGFpbWVkIHRoaXMgdGFzay5GcmksIEp1biAxNSwgNzoyMiBBTQpKQWxsZW1hbmRvdSB1cGRhdGVkIHRoZSB0YXNrIGRlc2NyaXB0aW9uLiAoU2hvdyBEZXRhaWxzKQpKQWxsZW1hbmRvdSBhZGRlZCBhIHByb2plY3Q6IEFuYWx5dGljcy1LYW5iYW4uCkpBbGxlbWFuZG91IG1vdmVkIHRoaXMgdGFzayBmcm9tIE5leHQgVXAgdG8gSW4gUHJvZ3Jlc3Mgb24gdGhlIEFuYWx5dGljcy1LYW5iYW4gYm9hcmQuCkNoYW5nZSBTdWJzY3JpYmVycwpDaGFuZ2UgUHJpb3JpdHkKQXNzaWduIC8gQ2xhaW0KTW92ZSBvbiBXb3JrYm9hcmQKQ2hhbmdlIFByb2plY3QgVGFncwpBbmFseXRpY3MtS2FuYmFuCtcKU2VjdXJpdHkK1wpXaWtpbWVkaWEtVkUtQ2FtcGFpZ25zIChTMi0yMDE4KQrXClNjYXAK1wpTY2FwIChTY2FwMy1BZG9wdGlvbi1QaGFzZTIpCtcKQWJ1c2VGaWx0ZXIK1wpEYXRhLXJlbGVhc2UK1wpIYXNodGFncwrXCkxhYnNEQi1BdWRpdG9yCtcKTGFkaWVzLVRoYXQtRk9TUy1NZWRpYVdpa2kK1wpMYW5ndWFnZS0yMDE4LUFwci1KdW5lCtcKTGFuZ3VhZ2UtMjAxOC1KYW4tTWFyCtcKSEhWTQrXCkhBV2VsY29tZQrXCkJvbGQKSXRhbGljcwpNb25vc3BhY2VkCkxpbmsKQnVsbGV0ZWQgTGlzdApOdW1iZXJlZCBMaXN0CkNvZGUgQmxvY2sKUXVvdGUKVGFibGUKVXBsb2FkIEZpbGUKTWVtZQpQcmV2aWV3CkhlbHAKRnVsbHNjcmVlbiBNb2RlClBpbiBGb3JtIE9uIFNjcmVlbgoyMzg0ODJuMzc1IGFkZGVkIHByb2plY3RzOiBTZWN1cml0eSwgV2lraW1lZGlhLVZFLUNhbXBhaWducyAoUzItMjAxOCksIFNjYXAgKFNjYXAzLUFkb3B0aW9uLVBoYXNlMiksIEFidXNlRmlsdGVyLCBEYXRhLXJlbGVhc2UsIEhhc2h0YWdzLCBMYWJzREItQXVkaXRvciwgTGFkaWVzLVRoYXQtRk9TUy1NZWRpYVdpa2ksIExhbmd1YWdlLTIwMTgtQXByLUp1bmUsIExhbmd1YWdlLTIwMTgtSmFuLU1hciwgSEhWTSwgSEFXZWxjb21lLlBSRVZJRVcKMjM4NDgybjM3NSBtb3ZlZCB0aGlzIHRhc2sgZnJvbSBJbiBQcm9ncmVzcyB0byBJbiBDb2RlIFJldmlldyBvbiB0aGUgQW5hbHl0aWNzLUthbmJhbiBib2FyZC4KMjM4NDgybjM3NSByZW1vdmVkIEpBbGxlbWFuZG91IGFzIHRoZSBhc3NpZ25lZSBvZiB0aGlzIHRhc2suCjIzODQ4Mm4zNzUgdHJpYWdlZCB0aGlzIHRhc2sgYXMgTG93ZXN0IHByaW9yaXR5LgoyMzg0ODJuMzc1IHJlbW92ZWQgc3Vic2NyaWJlcnM6IEFrbGFwcGVyLCBKQWxsZW1hbmRvdS4KQ29udGVudCBsaWNlbnNlZCB1bmRlciBDcmVhdGl2ZSBDb21tb25zIEF0dHJpYnV0aW9uLVNoYXJlQWxpa2UgMy4wIChDQy1CWS1TQSkgdW5sZXNzIG90aGVyd2lzZSBub3RlZDsgY29kZSBsaWNlbnNlZCB1bmRlciBHTlUgR2VuZXJhbCBQdWJsaWMgTGljZW5zZSAoR1BMKSBvciBvdGhlciBvcGVuIHNvdXJjZSBsaWNlbnNlcy4gQnkgdXNpbmcgdGhpcyBzaXRlLCB5b3UgYWdyZWUgdG8gdGhlIFRlcm1zIG9mIFVzZSwgUHJpdmFjeSBQb2xpY3ksIGFuZCBDb2RlIG9mIENvbmR1Y3QuILcgV2lraW1lZGlhIEZvdW5kYXRpb24gtyBQcml2YWN5IFBvbGljeSC3IENvZGUgb2YgQ29uZHVjdCC3IFRlcm1zIG9mIFVzZSC3IERpc2NsYWltZXIgtyBDQy1CWS1TQSC3IEdQTApZb3VyIGJyb3dzZXIgdGltZXpvbmUgc2V0dGluZyBkaWZmZXJzIGZyb20gdGhlIHRpbWV6b25lIHNldHRpbmcgaW4geW91ciBwcm9maWxlLCBjbGljayB0byByZWNvbmNpbGUu

238482n375 set Security to Software security bug.Jun 15 2018, 8:06 AM
238482n375 changed the visibility from "Public (No Login Required)" to "Custom Policy".

SG9tZVBoYWJyaWNhdG9yCk5vIG1lc3NhZ2VzLiBObyBub3RpZmljYXRpb25zLgoKICAgIFNlYXJjaAoKQ3JlYXRlIFRhc2sKTWFuaXBoZXN0ClQxOTcyODEKRml4IGZhaWxpbmcgd2VicmVxdWVzdCBob3VycyAodXBsb2FkIGFuZCB0ZXh0IDIwMTgtMDYtMTQtMTEpCk9wZW4sIE5lZWRzIFRyaWFnZVB1YmxpYwoKICAgIEVkaXQgVGFzawogICAgRWRpdCBSZWxhdGVkIFRhc2tzLi4uCiAgICBFZGl0IFJlbGF0ZWQgT2JqZWN0cy4uLgogICAgUHJvdGVjdCBhcyBzZWN1cml0eSBpc3N1ZQoKICAgIE11dGUgTm90aWZpY2F0aW9ucwogICAgQXdhcmQgVG9rZW4KICAgIEZsYWcgRm9yIExhdGVyCgpFVzZSC3IERpc2NsYWltZXIgtyBDQy1CWS1TQSC3IEdQTApZb3VyIGJyb3dzZXIgdGltZXpvbmUgc2V0dGluZyBkaWZmZXJzIGZyb20gdGhlIHRpbWV6b25lIHNldHRpbmcgaW4geW91ciBwcm9maWxlLCBjbGljayB0byByZWNvbmNpbGUu

Restricted Application added a project: Security. · View Herald TranscriptJun 15 2018, 1:49 PM
Aklapper lowered the priority of this task from High to Lowest.Jun 15 2018, 1:51 PM
Aklapper removed a project: Security.
Aklapper changed the visibility from "Custom Policy" to "Public (No Login Required)".